%define libname_orig lib%{name}
%define libname %mklibname %{name} 3

Summary: 	Visual IRC client
Name:		kvirc
Version: 	3.2.2
Release:        %mkrel 0.20060420.3
License: 	GPL
Url:		http://www.kvirc.net/
Group: 		Networking/IRC
Source: 	kvirc-20060420.tar.bz2
Source1: 	%{name}16.png
Source2: 	%{name}32.png
Source3: 	%{name}48.png 
BuildRequires:	kdelibs-devel 
BuildRequires:  fam-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A highly configurable Graphical IRC client with a MDI interface,
built-in scripting language, support for DCC, drag & drop, more...

%package -n %{libname}
Summary:	Kvirc  library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	%name = %version-%release

%description -n %{libname}
Library for %name

%package -n %{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep

%setup -q -n kvirc
%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
sh autogen.sh
./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --disable-rpath \
	    --with-kde-support \
	    --disable-debug \
	    --enable-final
	      
make CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
rm -rf %buildroot
%{makeinstall_std}
rm -f %buildroot%{_datadir}/services/irc.protocol
make docs DESTDIR=%buildroot


mkdir -p %buildroot%{_menudir}

####                                                       ####
#### Convert KDE menu structure to Mandriva menu structure ####
####                                                       ####

kdedesktop2mdkmenu.pl %name Networking/IRC %buildroot/%{_datadir}/applnk/Internet/kvirc.desktop %buildroot/%_menudir/%name kde

#mdk icons
install -D -m644 %SOURCE2 %buildroot%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE1 %buildroot%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %buildroot%{_liconsdir}/%{name}.png

%multiarch_includes %buildroot%{_includedir}/kvirc/3.2.2/kvi_configstatus.h
%multiarch_includes %buildroot%{_includedir}/kvirc/3.2.2/kvi_wincfg.h


%clean
rm -rf %buildroot

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr (-,root,root)
%{_bindir}/*
%{_menudir}/%{name}
%dir %{_datadir}/kvirc
%{_datadir}/kvirc/3.2/help/en/*
%{_datadir}/kvirc/3.2/pics/*.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/kvirc.png
%{_liconsdir}/kvirc.png
%{_miconsdir}/kvirc.png
%{_datadir}/kvirc/3.2/modules
%{_datadir}/applnk/Internet/kvirc.desktop
%{_mandir}/man1/kvirc.1.bz2
%{_datadir}/mimelnk/text/x-kvs.desktop
%{_datadir}/services/irc6.protocol
%{_datadir}/kvirc/3.2/config
%{_datadir}/kvirc/3.2/defscript
%{_datadir}/kvirc/3.2/msgcolors
%{_datadir}/kvirc/3.2/locale
%{_datadir}/kvirc/3.2/themes
%{_datadir}/kvirc/3.2/license

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkvilib.so.3
%{_libdir}/libkvilib.so.3.0.0

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/kvirc/3.2.2/*.h
%{_libdir}/libkvilib.la
%{_libdir}/libkvilib.so
%{multiarch_includedir}/kvirc/3.2.2/kvi_wincfg.h
%{multiarch_includedir}/kvirc/3.2.2/kvi_configstatus.h


%changelog
* Mon Jun 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.2-0.20060420.3mdv2007.0
- Fix Menu Entry

* Mon Jun 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.2-0.20060420.2mdk
- Fix multiarch files

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.2.2-0.20060420.1mdk
- Cvs Checkout
- use mkrel

* Sun Mar 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-1mdk
- 3.2.0

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0.1-2mdk
- rebuild
- spec fixes

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.0.0-0.beta1.5mdk
- use a couple of macro's
- added libfam-devel to BuildRequires

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.4mdk
- Rebuild

* Fri Aug 23 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.0.0-0.beta1.3mdk
- rebuild with gcc 3.2
- png icons
- cleaned buildrequires, kdelibs-devel should be enough...
- url tag

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.2mdk
- Fix spec file

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.1mdk
- 3.0.0-beta1

* Sun Apr 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Port to kde3.0

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-5mdk
- Fix spec file
- Fix generate doc (Bug reported by "Palermo, Matt" <palermo@CIMQUEST.COM> thanks)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- Rebuild against libpng3

* Thu Sep 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.1.1-3mdk
- rebuild

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Rebuild

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- Update code (2.1.1)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Clean %%files to allow clean update
- Fix BuildRequires for non %%ix86 architectures
- Don't %%clean_menus and %%update_menus in %%postun
- Add missing files
- Rebuild against latest GCC

* Mon Apr 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-3mdk
- Add build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-2mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-1mdk
- Update code

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-2.0.3mdk
- Update for new libs.

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.0-2.0.2mdk
- Fix gcc2.96 compilation.

* Tue Oct 17 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.0-2.0.1mdk
- release 2.0
- change version

* Sun Oct 15 2000  <daouda@ke.mandrakesoft.com> 2.0.0-1.99.4mdk
- include the missing files
- fix 'bad' icon handling 

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.0-1.99.3mdk
- script now in source package 
- correct icon handling (me sux)

* Fri Oct 06 2000 Daouda Lo <daouda@mandrakeosft.com> 2.0.0-1.99.2mdk
- add icons 
- replace klyx by kvirc in menu entry 
- fix kvirc segfault(chris sux) 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.99.1mdk
- Updated for new libs

* Fri Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.8mdk
- Updated for new libs

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.7mdk
- Updated for new libs

* Sun Sep 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.6mdk
- BM

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.5mdk
- Updated for new libs

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.4mdk
- Updated for new libs

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.3mdk
- Updated for new libs

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.2mdk
- Updated for new libs

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.94.1mdk
- Updated for new libs

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.6mdk
- Updated for new libs

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.5mdk
- Updated for new libs

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.4mdk
- Updated for new libs

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.3mdk
- Updated for new libs

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.2mdk
- Updated for new libs
- Added menu creation

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.93.1mdk
- Updated for new libs

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.4mdk
- Updated for new libs

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.2mdk
- Updated for new libs - again

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-1.92.1mdk
- Updated for new libs

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-0.%{KDEDATE}mdk
- Updated for new libs

* Sun Jul 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.0-0.%{KDEDATE}mdk
- Updated for new libs

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.9.1-0.%{KDEDATE}mdk
- rebuilt under package2 name for kde2 libs
- adjusted spec file for kde2 in different dirs.

* Mon Jun 26 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.0.0-2mdk
- requires qt >= 2.1.1
- buildrequires qtdevel
* Thu Jun 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.0.0-1mdk
- first spec built with qt2, blah blah blah

